{
  "name": "kick-assembler-extension",
  "description": "Kick Assembler Extension Client",
  "author": "Paul Hocker",
  "license": "MIT",
  "version": "0.9.7",
  "publisher": "vscode",
  "engines": {
    "vscode": "^1.22.0"
  },
  "categories": [
    "Languages"
  ],
  "activationEvents": [
    "onLanguage:kickassembler"
  ],
  "main": "./out/src/extension",
  "contributes": {
    "keybindings": [
      {
        "command": "kickassembler.buildandrun",
        "key": "f5"
      },
      {
        "command": "kickassembler.buildanddebug",
        "key": "ctrl+shift+d"
      },
      {
        "command": "kickassembler.run",
        "key": "ctrl+f5"
      },
      {
        "command": "kickassembler.build",
        "key": "ctrl+shift+b"
      }
    ],
    "configuration": {
      "title": "Kick Assembler Extension Configuration",
      "properties": {
        "kickassembler.assemblerPath": {
          "type": "string",
          "default": "",
          "description": "Full Path to 'kickass.jar'"
        },
        "kickassembler.javaPath": {
          "type": "string",
          "default": "",
          "description": "Full Path to Java Binary"
        },
        "kickassembler.emulatorPath": {
          "type": "string",
          "default": "",
          "description": "Full Path to Emulator"
        },
        "kickassembler.emulatorBin": {
          "type": "string",
          "default": "x64.exe",
          "description": "Name of Emulator Binary"
        },
        "kickassembler.debuggerPath": {
          "type": "string",
          "default": "",
          "description": "Full Path to C64 Debugger"
        },
        "kickassembler.debuggerBin": {
          "type": "string",
          "default": "C64Debugger.exe",
          "description": "Name of C64 Debugger Binary"
        },
        "kickassembler.debuggerArguments": {
          "type": "string",
          "default": "",
          "description": "C64 Debugger arguments"
        },
        "kickassembler.emulatorOptions": {
          "type": "string",
          "default": "-a",
          "description": "Runtime Options for Emulator"
        },
        "kickassembler.trace.server": {
          "type": "string",
          "enum": [
            "off",
            "messages",
            "verbose"
          ],
          "default": "off",
          "description": "Traces the communication between VSCode and the Language Server service."
        }
      }
    },
    "languages": [
      {
        "id": "kickassembler",
        "aliases": [
          "Kick",
          "Assembly",
          "6502"
        ],
        "extensions": [
          ".kick",
          ".asm",
          ".lib",
          ".ka",
          ".a",
          ".h"
        ],
        "configuration": "./syntaxes/language-configuration.json"
      }
    ],
    "grammars": [
      {
        "language": "kickassembler",
        "scopeName": "source.assembly.kickassembler",
        "path": "./syntaxes/kickassembler.tmLanguage"
      }
    ],
    "commands": [
      {
        "command": "kickassembler.build",
        "title": "Kick Assembler: Build"
      },
      {
        "command": "kickassembler.buildandrun",
        "title": "Kick Assembler: Build and Run Program"
      },
      {
        "command": "kickassembler.buildanddebug",
        "title": "Kick Assembler: Build and Debug Program"
      },
      {
        "command": "kickassembler.run",
        "title": "Kick Assembler: Run Program"
      }
    ]
  },
  "scripts": {
    "vscode:prepublish": "tsc -p ./",
    "compile": "tsc -p ./",
    "watch": "tsc -w -p ./",
    "update-vscode": "node ./node_modules/vscode/bin/install",
    "postinstall": "node ./node_modules/vscode/bin/install"
  },
  "dependencies": {
    "vscode": "^1.1.17",
    "vscode-languageclient": "^4.1.3"
  },
  "devDependencies": {
    "@types/mocha": "^2.2.42",
    "@types/node": "^6.0.88",
    "typescript": "^2.5.2"
  }
}
